Skip to navigation

Attach a child organization to an enterprise

Attaches an existing organization to an enterprise. The retention and owner field are optional, and will be defaulted if not specified. To specify which child organization to attach, one of its service keys must be supplied through our typical service key authorization schema; either as basic authorization or through the servicekey header.

Authentication

enterprise-servicekeystring
When authorizing against our enterprise endpoints, they expect an enterprise service key instead of a regular organization service key. Some endpoints might expect both an enterprise service key and a regular organization service key.
AuthorizationBasic

(Deprecated) As an alternative to authenticating with a header value, you can also use basic authentication. To use either apiKey or servicekey as basic authentication, simply pass the key as the username with no password. For example:

curl https://api.logdna.com/v1/config/view -u INSERT_API_KEY:
OR
enterprise-servicekeystring
When authorizing against our enterprise endpoints, they expect an enterprise service key instead of a regular organization service key. Some endpoints might expect both an enterprise service key and a regular organization service key.
servicekeystring

(Deprecated) This key is used for v1 and v2 apis with the exception of ingest. Service keys can be used by placing your service key in the Authorization header of your api call. NOTE Usage of the service key auth mechanism has been deprecated in favor of IAM Access Tokens. Service keys can no longer be created, but can still be used for v1 and v2 apis while the transition takes place

Request

Request parameters.
retentionintegerOptional
Current retention period selected for the child organization
ownerstringOptional
The email of a user to be given owner privileges of an account.

Response

Child organization successfully attached.
accountstringOptional
Account number of the organization
enterprisestringOptional
Unique Id of the enterprise organization
retentionintegerOptional
Current retention period selected for the child organization
ownerstringOptional
The email of a user to be given owner privileges of an account.
retentionPeriodslist of integersOptional
Available log retention options for the child organization
planstringOptional
The name of a plan.
servicekeystringOptional
A secret key which can be used to authenticate requests to Mezmo.

Errors

400
Bad Request Error
409
Conflict Error